### Constructor

# Camel MimeFilterIndex new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_index_new (
      CamelIndex* index
    )

#### Description [src]

Create a new `CamelMimeFilterIndex` based on `index`.

#### Parameters

`index`

  Type: `CamelIndex`

  A `CamelIndex` object.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterIndex` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.